TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Estimate fee

POST
/api/v3/estimateFee

Estimate the fees required to process the query. The body, init_code, and init_data fields accept serialized, base64-encoded values.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v3/estimateFee" \  -H "Content-Type: application/json" \  -d '{}'
{
  "destination_fees": [
    {
      "fwd_fee": 0,
      "gas_fee": 0,
      "in_fwd_fee": 0,
      "storage_fee": 0
    }
  ],
  "source_fees": {
    "fwd_fee": 0,
    "gas_fee": 0,
    "in_fwd_fee": 0,
    "storage_fee": 0
  }
}
{
  "code": 0,
  "error": "string"
}